*{
  margin: 0;
  padding: 0;
}

h1 {
  margin-top: 0;
  font-family: 'Roboto Slab', serif;
}

.container {
  margin: 50px 0 0 0;
}

.map-wrapper {
  height: calc(100vh - 50px);
}

.btn-column {
  position: absolute;
  right: 25%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  overflow: hidden;
  margin-top: 5px;
  position: fixed;
}

.btn-item {
  background-color: #fff;
  padding: .25em .5em 0 .5em;
  text-align: center;
  margin-bottom: 5px;
  transform: translateX(9.3em);
  cursor: pointer;
  transition: transform 250ms ease-in-out;
}

.btn-item:hover {
  transform: translateX(0);
}

.btn-item:active {
  background-color: #ddd;
}

.btn-text::before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: .5em;
  float: left;
}

.clear .btn-text::before {
  content: "\f12d";
}

.print .btn-text::before {
  content: "\f02f";
}

.graphs .btn-text::before {
  content: "\f080";
}

.download .btn-text::before {
  content: "\f019";
}

#automatic_search_checkbox {
  opacity: 0;
}

.card-block {
  padding-top: 1em;
  background-color: white;
}

.min-number {
  width: 3.5vw;
  position: absolute;
  top: 5px;
  padding-left: 10px;
  border: 1px solid #d2d2d2;
  text-align: center;
  z-index: 1;
}

.max-number {
  width: 3.5vw;
  position: absolute;
  top: 5px;
  padding-left: 10px;
  border: 1px solid #d2d2d2;
  text-align: center;
  z-index: 1;
}

.slider {
  margin-left: 3vw;
}

.slider-div {
  z-index: 2;
}

.slider-handle {
  border-radius: 50%;
  width: 1.5em;
  height: 1.5em;
  background: linear-gradient(#555, #454545);
}

.slider-track {
  border-radius: 10px;
  background-image: linear-gradient(to bottom, #d6d5d5 0%, #f9f9f9 100%);
  width: 100%;
  height: 1em !important;
}

.slider-selection {
  background-image: none;
  background-color: #1b79e330;
}

.label-median {
  position: absolute;
  font-size: 10px;
  margin-left: 15%;
}

.slider-rangeHighlight {
	background: rgb(190, 190, 190);
}

.collapsible {
  background-color: rgb(240, 240, 240);
  color: rgb(0, 0, 0);
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  margin-top: 0.8vh;
  transition: background-color 300ms;
  background-color: rgb(240, 240, 240);
}

.collapsible:hover {
  background-color: #aaa;
}

.collapsible h4:before {
  content: '\f078';
  font-family: "Font Awesome 5 Free";
  font-weight: bold;
  float: right;
  text-align: center;
  transition: transform 500ms 250ms ease-in-out;
}

.collapsible.active h4:before {
  transform: rotate(180deg);
}

.wrap {
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.5s ease-out;
}

.wrap.active {
  max-height: none;
}

.content {
  background-color: rgb(231, 231, 231);
  overflow: hidden;
  transition: transform 0.5s ease-out;
  box-shadow: inset 0px 0px 3px 2px rgba(203, 203, 203, 0.17);
  transform: translateY(-100%);
}

.content.active {
  transform: translateY(0);
}

.form-control {
  width: 22vw;
}

.leaflet-heatmap-layer {
  opacity: .4;
}

/* Changes the height of the map menu */
.select-body {
  height: 450px;
}

.select.translateX-0 {
  transform: translateY(450px);
}

.last_span {
  display: block;
  float: left;
  height: 15px;
  width: 70px; /* size of each interval */
}

.background-white {
  height: calc(100vh - 50px);
  background-color: white;
}

.heatmap-legend {
  left: 0;
  top: 0;
  position: absolute;
  height: 8.8em;
  width: 290px;
  overflow: hidden;
  padding: 10px 0 10px 75px;
}

#heatmap-leg {
  right: 25%;
  height: 8.8em;
}

#heatmap-leg.hide {
  right: 20%;
}

.legend-bar {
  overflow: hidden;
  margin-top: 10px;
}

.legend-bar .span-normal {
  display: block;
  float: left;
  text-align: left;
  height: 1.6em;
}

.span-normal {
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#2bffd3+0,fffd57+50,f93434+100 */
  background: #2bffd3; /* Old browsers */
  background: -moz-linear-gradient(left, #2bffd3 0%, #fffd57 50%, #f93434 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(left, #2bffd3 0%,#fffd57 50%,#f93434 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to right, #2bffd3 0%,#fffd57 50%,#f93434 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#2bffd3', endColorstr='#f93434',GradientType=1 ); /* IE6-9 */
  width: 166px;
}

.span-normal.dalt {
  background: linear-gradient(to right, #D3C9F8, #3816B3) !important;
  width: 166px;
}

.legend-data {
  font-size: larger;
  width: 164px;
  display: flex;
  justify-content: space-between;
}
.legend-data-li {
  display: block;
  float: left;
  text-align: center;
  list-style: none;
  font-size: 60%;
}

.item-legend {
  width: 290px;
  right: 20%;
  bottom: 5%;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  overflow: hidden;
  position: fixed;
  background-color: #ffffffb0;
  padding: .25em .5em 0 .5em;
  text-align: center;
  margin-bottom: 5px;
  transform: translateX(244px);
  transition: transform 250ms ease-in-out,
              right 250ms ease-in-out;
  cursor: pointer;
}

.item-legend.active {
  transform: translateX(0);
}

.text {
  display: flex;
  padding-left: 10px;
  width: 7em;
  height: 7em;
  transform: rotate(270deg);
}

.legenda .text::before {
  content: "Legenda";
}

.legenda .text::after {
  content: "\f077";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  position: absolute;
  right: 1em;
  transition: transform 250ms 250ms ease-in-out;
}

.legenda.active .text::after {
  transform: rotate(180deg);
}

.legend-title {
  font-size: 90%;
  text-align: left;
  width: 190px;
}

.fab {
  display: none;
}

#legend-scale{
  font-size: 72%;
  text-align: left;
  right: 0;
  position: relative;
  margin-bottom: 5px;
}

/*.label-subtitle:before {
  content: "\f05a";
  font-family: "Font Awesome 5 Free";
  font-weight: bold;
}*/

.label-subtitle {
  color: gray;
  font-size: smaller;
}

.filter-label {
  display: flex;
  justify-content: space-between;
}

.print-only {
  display:none;
}

.no-print, .printable {
  display: block;
}

.mini-map {
  display: block;
  top: -300;
  right: -300;
  z-index: -1000;
  position: fixed;
  width: 300px;
  height: 300px;
  background-color: #000;
}

.label-source {
  display: none;
}

@media (orientation: portrait) {
  .container {
    overflow: hidden;
  }

  .btn-column {
    right: 0;
    top: 140px;
  }

  #map-affix {
    width: calc(100vw - (100vw - 100%));
  }

  .col-sm-3 {
    transform: translateY(100%);
    z-index: 3;
    transition: transform 250ms ease-in-out;
    overflow: auto;
    width: calc(100vw - (100vw - 100%)) !important;
  }

  .col-sm-3:last-child {
    padding-bottom: 1em;
  }

  .col-sm-3.active {
    transform: translateY(-20px);
  }

  .heatmap-legend {
    right: 25%;
  }

  #heatmap-leg {
    right: 0;
  }

  .main {
    height: calc(100vh - 50px);
  }

  .item-legend {
    right: 0;
  }

  .fab {
    display : flex;
    width: 4em;
    height: 4em;
    background-color: #fff;
    border-radius: 50%;
    top: 50px;
    right: 0px;
    position: absolute;
    z-index: 4;
    margin: .7em;
    justify-content: center;
    align-items : center;
    cursor: pointer;
  }

  .fab:active {
    background-color: #eee;
  }

  .fab .fa-times {
    display: none;
  }

  .fab .fa-search {
    display: block;
  }

  .fab.active .fa-times {
    display: block;
  }

  .fab.active .fa-search {
    display: none;
  }

  .fab.active {
  }
}

@media (max-width: 1000px) and (orientation: landscape) {
  .col-sm-3 {
    right: 0 !important;
    float: right !important;
  }
}

@media (min-width: 1700px) {
  .label-source {
    display: inline;
  }
}
